| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Functions
Functions
Image Processing » Hardware Acceleration Layer

## Detailed Description

## Functions
void | cv::hal::cvtBGR5x5toBGR (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height, int dcn, bool swapBlue, int greenBits)
void | cv::hal::cvtBGR5x5toGray (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height, int greenBits)
void | cv::hal::cvtBGRtoBGR (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height, int depth, int scn, int dcn, bool swapBlue)
void | cv::hal::cvtBGRtoBGR5x5 (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height, int scn, bool swapBlue, int greenBits)
void | cv::hal::cvtBGRtoGray (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height, int depth, int scn, bool swapBlue)
void | cv::hal::cvtBGRtoHSV (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height, int depth, int scn, bool swapBlue, bool isFullRange, bool isHSV)
void | cv::hal::cvtBGRtoLab (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height, int depth, int scn, bool swapBlue, bool isLab, bool srgb)
void | cv::hal::cvtBGRtoThreePlaneYUV (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height, int scn, bool swapBlue, int uIdx)
void | cv::hal::cvtBGRtoTwoPlaneYUV (const uchar *src_data, size_t src_step, uchar *y_data, uchar *uv_data, size_t dst_step, int width, int height, int scn, bool swapBlue, int uIdx)
| Separate Y and UV planes.
void | cv::hal::cvtBGRtoXYZ (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height, int depth, int scn, bool swapBlue)
void | cv::hal::cvtBGRtoYUV (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height, int depth, int scn, bool swapBlue, bool isCbCr)
void | cv::hal::cvtGraytoBGR (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height, int depth, int dcn)
void | cv::hal::cvtGraytoBGR5x5 (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height, int greenBits)
void | cv::hal::cvtHSVtoBGR (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height, int depth, int dcn, bool swapBlue, bool isFullRange, bool isHSV)
void | cv::hal::cvtLabtoBGR (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height, int depth, int dcn, bool swapBlue, bool isLab, bool srgb)
void | cv::hal::cvtMultipliedRGBAtoRGBA (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height)
void | cv::hal::cvtOnePlaneBGRtoYUV (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height, int scn, bool swapBlue, int uIdx, int ycn)
void | cv::hal::cvtOnePlaneYUVtoBGR (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height, int dcn, bool swapBlue, int uIdx, int ycn)
void | cv::hal::cvtRGBAtoMultipliedRGBA (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height)
void | cv::hal::cvtThreePlaneYUVtoBGR (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int dst_width, int dst_height, int dcn, bool swapBlue, int uIdx)
void | cv::hal::cvtTwoPlaneYUVtoBGR (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int dst_width, int dst_height, int dcn, bool swapBlue, int uIdx)
void | cv::hal::cvtTwoPlaneYUVtoBGR (const uchar *y_data, const uchar *uv_data, size_t src_step, uchar *dst_data, size_t dst_step, int dst_width, int dst_height, int dcn, bool swapBlue, int uIdx)
| Separate Y and UV planes.
void | cv::hal::cvtTwoPlaneYUVtoBGR (const uchar *y_data, size_t y_step, const uchar *uv_data, size_t uv_step, uchar *dst_data, size_t dst_step, int dst_width, int dst_height, int dcn, bool swapBlue, int uIdx)
void | cv::hal::cvtXYZtoBGR (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height, int depth, int dcn, bool swapBlue)
void | cv::hal::cvtYUVtoBGR (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height, int depth, int dcn, bool swapBlue, bool isCbCr)
void | cv::hal::filter2D (int stype, int dtype, int kernel_type, uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height, int full_width, int full_height, int offset_x, int offset_y, uchar *kernel_data, size_t kernel_step, int kernel_width, int kernel_height, int anchor_x, int anchor_y, double delta, int borderType, bool isSubmatrix)
void | cv::hal::integral (int depth, int sdepth, int sqdepth, const uchar *src, size_t srcstep, uchar *sum, size_t sumstep, uchar *sqsum, size_t sqsumstep, uchar *tilted, size_t tstep, int width, int height, int cn)
void | cv::hal::morph (int op, int src_type, int dst_type, uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height, int roi_width, int roi_height, int roi_x, int roi_y, int roi_width2, int roi_height2, int roi_x2, int roi_y2, int kernel_type, uchar *kernel_data, size_t kernel_step, int kernel_width, int kernel_height, int anchor_x, int anchor_y, int borderType, const double borderValue[4], int iterations, bool isSubmatrix)
void | cv::hal::resize (int src_type, const uchar *src_data, size_t src_step, int src_width, int src_height, uchar *dst_data, size_t dst_step, int dst_width, int dst_height, double inv_scale_x, double inv_scale_y, int interpolation)
void | cv::hal::sepFilter2D (int stype, int dtype, int ktype, uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height, int full_width, int full_height, int offset_x, int offset_y, uchar *kernelx_data, int kernelx_len, uchar *kernely_data, int kernely_len, int anchor_x, int anchor_y, double delta, int borderType)
void | cv::hal::warpAffine (int src_type, const uchar *src_data, size_t src_step, int src_width, int src_height, uchar *dst_data, size_t dst_step, int dst_width, int dst_height, const double M[6], int interpolation, int borderType, const double borderValue[4])
void | cv::hal::warpAffineBlockline (int *adelta, int *bdelta, short *xy, short *alpha, int X0, int Y0, int bw)
void | cv::hal::warpAffineBlocklineNN (int *adelta, int *bdelta, short *xy, int X0, int Y0, int bw)
void | cv::hal::warpPerspective (int src_type, const uchar *src_data, size_t src_step, int src_width, int src_height, uchar *dst_data, size_t dst_step, int dst_width, int dst_height, const double M[9], int interpolation, int borderType, const double borderValue[4])
void | cv::hal::warpPerspectiveBlockline (const double *M, short *xy, short *alpha, double X0, double Y0, double W0, int bw)
void | cv::hal::warpPerspectiveBlocklineNN (const double *M, short *xy, double X0, double Y0, double W0, int bw)

## Function Documentation

## ◆ cvtBGR5x5toBGR()

void cv::hal::cvtBGR5x5toBGR | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | dcn,
|  | bool | swapBlue,
|  | int | greenBits )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ cvtBGR5x5toGray()

void cv::hal::cvtBGR5x5toGray | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | greenBits )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ cvtBGRtoBGR()

void cv::hal::cvtBGRtoBGR | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | depth,
|  | int | scn,
|  | int | dcn,
|  | bool | swapBlue )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ cvtBGRtoBGR5x5()

void cv::hal::cvtBGRtoBGR5x5 | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | scn,
|  | bool | swapBlue,
|  | int | greenBits )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ cvtBGRtoGray()

void cv::hal::cvtBGRtoGray | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | depth,
|  | int | scn,
|  | bool | swapBlue )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ cvtBGRtoHSV()

void cv::hal::cvtBGRtoHSV | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | depth,
|  | int | scn,
|  | bool | swapBlue,
|  | bool | isFullRange,
|  | bool | isHSV )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ cvtBGRtoLab()

void cv::hal::cvtBGRtoLab | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | depth,
|  | int | scn,
|  | bool | swapBlue,
|  | bool | isLab,
|  | bool | srgb )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ cvtBGRtoThreePlaneYUV()

void cv::hal::cvtBGRtoThreePlaneYUV | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | scn,
|  | bool | swapBlue,
|  | int | uIdx )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ cvtBGRtoTwoPlaneYUV()

void cv::hal::cvtBGRtoTwoPlaneYUV | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | y_data,
|  | uchar * | uv_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | scn,
|  | bool | swapBlue,
|  | int | uIdx )

`#include <opencv2/imgproc/hal/hal.hpp>`

Separate Y and UV planes.

## ◆ cvtBGRtoXYZ()

void cv::hal::cvtBGRtoXYZ | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | depth,
|  | int | scn,
|  | bool | swapBlue )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ cvtBGRtoYUV()

void cv::hal::cvtBGRtoYUV | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | depth,
|  | int | scn,
|  | bool | swapBlue,
|  | bool | isCbCr )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ cvtGraytoBGR()

void cv::hal::cvtGraytoBGR | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | depth,
|  | int | dcn )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ cvtGraytoBGR5x5()

void cv::hal::cvtGraytoBGR5x5 | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | greenBits )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ cvtHSVtoBGR()

void cv::hal::cvtHSVtoBGR | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | depth,
|  | int | dcn,
|  | bool | swapBlue,
|  | bool | isFullRange,
|  | bool | isHSV )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ cvtLabtoBGR()

void cv::hal::cvtLabtoBGR | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | depth,
|  | int | dcn,
|  | bool | swapBlue,
|  | bool | isLab,
|  | bool | srgb )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ cvtMultipliedRGBAtoRGBA()

void cv::hal::cvtMultipliedRGBAtoRGBA | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ cvtOnePlaneBGRtoYUV()

void cv::hal::cvtOnePlaneBGRtoYUV | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | scn,
|  | bool | swapBlue,
|  | int | uIdx,
|  | int | ycn )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ cvtOnePlaneYUVtoBGR()

void cv::hal::cvtOnePlaneYUVtoBGR | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | dcn,
|  | bool | swapBlue,
|  | int | uIdx,
|  | int | ycn )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ cvtRGBAtoMultipliedRGBA()

void cv::hal::cvtRGBAtoMultipliedRGBA | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ cvtThreePlaneYUVtoBGR()

void cv::hal::cvtThreePlaneYUVtoBGR | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | dst_width,
|  | int | dst_height,
|  | int | dcn,
|  | bool | swapBlue,
|  | int | uIdx )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ cvtTwoPlaneYUVtoBGR() [1/3]

void cv::hal::cvtTwoPlaneYUVtoBGR | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | dst_width,
|  | int | dst_height,
|  | int | dcn,
|  | bool | swapBlue,
|  | int | uIdx )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ cvtTwoPlaneYUVtoBGR() [2/3]

void cv::hal::cvtTwoPlaneYUVtoBGR | ( | const uchar * | y_data,
|  | const uchar * | uv_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | dst_width,
|  | int | dst_height,
|  | int | dcn,
|  | bool | swapBlue,
|  | int | uIdx )

`#include <opencv2/imgproc/hal/hal.hpp>`

Separate Y and UV planes.

## ◆ cvtTwoPlaneYUVtoBGR() [3/3]

void cv::hal::cvtTwoPlaneYUVtoBGR | ( | const uchar * | y_data,
|  | size_t | y_step,
|  | const uchar * | uv_data,
|  | size_t | uv_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | dst_width,
|  | int | dst_height,
|  | int | dcn,
|  | bool | swapBlue,
|  | int | uIdx )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ cvtXYZtoBGR()

void cv::hal::cvtXYZtoBGR | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | depth,
|  | int | dcn,
|  | bool | swapBlue )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ cvtYUVtoBGR()

void cv::hal::cvtYUVtoBGR | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | depth,
|  | int | dcn,
|  | bool | swapBlue,
|  | bool | isCbCr )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ filter2D()

void cv::hal::filter2D | ( | int | stype,
|  | int | dtype,
|  | int | kernel_type,
|  | uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | full_width,
|  | int | full_height,
|  | int | offset_x,
|  | int | offset_y,
|  | uchar * | kernel_data,
|  | size_t | kernel_step,
|  | int | kernel_width,
|  | int | kernel_height,
|  | int | anchor_x,
|  | int | anchor_y,
|  | double | delta,
|  | int | borderType,
|  | bool | isSubmatrix )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ integral()

void cv::hal::integral | ( | int | depth,
|  | int | sdepth,
|  | int | sqdepth,
|  | const uchar * | src,
|  | size_t | srcstep,
|  | uchar * | sum,
|  | size_t | sumstep,
|  | uchar * | sqsum,
|  | size_t | sqsumstep,
|  | uchar * | tilted,
|  | size_t | tstep,
|  | int | width,
|  | int | height,
|  | int | cn )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ morph()

void cv::hal::morph | ( | int | op,
|  | int | src_type,
|  | int | dst_type,
|  | uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | roi_width,
|  | int | roi_height,
|  | int | roi_x,
|  | int | roi_y,
|  | int | roi_width2,
|  | int | roi_height2,
|  | int | roi_x2,
|  | int | roi_y2,
|  | int | kernel_type,
|  | uchar * | kernel_data,
|  | size_t | kernel_step,
|  | int | kernel_width,
|  | int | kernel_height,
|  | int | anchor_x,
|  | int | anchor_y,
|  | int | borderType,
|  | const double | borderValue[4],
|  | int | iterations,
|  | bool | isSubmatrix )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ resize()

void cv::hal::resize | ( | int | src_type,
|  | const uchar * | src_data,
|  | size_t | src_step,
|  | int | src_width,
|  | int | src_height,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | dst_width,
|  | int | dst_height,
|  | double | inv_scale_x,
|  | double | inv_scale_y,
|  | int | interpolation )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ sepFilter2D()

void cv::hal::sepFilter2D | ( | int | stype,
|  | int | dtype,
|  | int | ktype,
|  | uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | full_width,
|  | int | full_height,
|  | int | offset_x,
|  | int | offset_y,
|  | uchar * | kernelx_data,
|  | int | kernelx_len,
|  | uchar * | kernely_data,
|  | int | kernely_len,
|  | int | anchor_x,
|  | int | anchor_y,
|  | double | delta,
|  | int | borderType )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ warpAffine()

void cv::hal::warpAffine | ( | int | src_type,
|  | const uchar * | src_data,
|  | size_t | src_step,
|  | int | src_width,
|  | int | src_height,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | dst_width,
|  | int | dst_height,
|  | const double | M[6],
|  | int | interpolation,
|  | int | borderType,
|  | const double | borderValue[4] )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ warpAffineBlockline()

void cv::hal::warpAffineBlockline | ( | int * | adelta,
|  | int * | bdelta,
|  | short * | xy,
|  | short * | alpha,
|  | int | X0,
|  | int | Y0,
|  | int | bw )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ warpAffineBlocklineNN()

void cv::hal::warpAffineBlocklineNN | ( | int * | adelta,
|  | int * | bdelta,
|  | short * | xy,
|  | int | X0,
|  | int | Y0,
|  | int | bw )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ warpPerspective()

void cv::hal::warpPerspective | ( | int | src_type,
|  | const uchar * | src_data,
|  | size_t | src_step,
|  | int | src_width,
|  | int | src_height,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | dst_width,
|  | int | dst_height,
|  | const double | M[9],
|  | int | interpolation,
|  | int | borderType,
|  | const double | borderValue[4] )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ warpPerspectiveBlockline()

void cv::hal::warpPerspectiveBlockline | ( | const double * | M,
|  | short * | xy,
|  | short * | alpha,
|  | double | X0,
|  | double | Y0,
|  | double | W0,
|  | int | bw )

`#include <opencv2/imgproc/hal/hal.hpp>`

## ◆ warpPerspectiveBlocklineNN()

void cv::hal::warpPerspectiveBlocklineNN | ( | const double * | M,
|  | short * | xy,
|  | double | X0,
|  | double | Y0,
|  | double | W0,
|  | int | bw )

`#include <opencv2/imgproc/hal/hal.hpp>`